Schema change to drop default from externallinks.el_index_60
Closed, ResolvedPublic

Description

This is a followup to T153182: now that the updated code is deployed so all inserts specify a value for this column, we can drop the unwanted default. No work is blocked on this, so not setting Blocked-on-schema-change.

This should be able to be done with ALGORITHM=INPLACE, LOCK=NONE and shouldn't require a table rebuild, per https://dev.mysql.com/doc/refman/5.6/en/innodb-create-index-overview.html#online-ddl-column-operations.

From the checklist at https://wikitech.wikimedia.org/wiki/Schema_changes:

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/322728/8/maintenance/archives/patch-externallinks-el_index_60-drop-default.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: No time constraint.
  4. If the schema change is backwards compatible: Yes.
  5. If the schema change has been tested already on some of the test/beta wikis: It has been auto-deployed to Beta since 15 May, I believe.
  6. if the data should be made available on the labs replicas and/or dumps: N/A

Schema change progress:

There are a very large number of changes, so older changes are hidden. Show Older Changes
Marostegui updated the task description. (Show Details)Mon, Jul 9, 5:59 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-09T06:01:03Z] <marostegui> Deploy schema change on s1 codfw master (db2048) with replication, this will generate lag on s1 codfw - T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Mon, Jul 9, 6:08 AM
Marostegui added a comment.EditedMon, Jul 9, 6:10 AM

s1 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • dbstore1001
  • dbstore1002
  • db1124
  • db1080
  • db1083
  • db1089
  • db1119
  • db1067
  • db1106
  • db1099
  • db1114
  • db1105
  • db1052

Mentioned in SAL (#wikimedia-operations) [2018-07-09T06:12:05Z] <marostegui> Deploy schema change on dbstore1001:s1 - T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Mon, Jul 9, 6:12 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-09T06:30:31Z] <marostegui> Deploy schema change on dbstore1002:s1 - T146591 T197891 T196379

Change 444490 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/444490

Change 444490 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/444490

Mentioned in SAL (#wikimedia-operations) [2018-07-09T06:54:12Z] <marostegui> Deploy schema change on db1089 - T146591 T197891 T196379

Change 444492 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/444492

Change 444492 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1119

https://gerrit.wikimedia.org/r/444492

Mentioned in SAL (#wikimedia-operations) [2018-07-09T07:18:48Z] <marostegui> Deploy schema change on db1119 - T146591 T197891 T196379

Change 444494 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/444494

Change 444494 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/444494

Mentioned in SAL (#wikimedia-operations) [2018-07-09T07:40:54Z] <marostegui> Deploy schema change on db1067 T146591 T197891 T196379

Change 444496 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/444496

Change 444496 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/444496

Mentioned in SAL (#wikimedia-operations) [2018-07-09T07:54:07Z] <marostegui> Deploy schema change on db1099:3311 T146591 T197891 T196379

Change 444498 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/444498

Change 444498 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/444498

Mentioned in SAL (#wikimedia-operations) [2018-07-09T08:08:26Z] <marostegui> Deploy schema change on db1105:3311 T146591 T197891 T196379

Change 444500 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/444500

Change 444500 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/444500

Mentioned in SAL (#wikimedia-operations) [2018-07-09T08:26:28Z] <marostegui> Deploy schema change on db1106 with replication, this will generate lag on labs hosts for s1 T146591 T197891 T196379

Change 444502 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/444502

Change 444502 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/444502

Mentioned in SAL (#wikimedia-operations) [2018-07-09T10:35:53Z] <marostegui> Deploy schema change on db1083 T146591 T197891 T196379

Change 444564 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/444564

Change 444564 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/444564

Mentioned in SAL (#wikimedia-operations) [2018-07-09T13:11:42Z] <marostegui> Deploy schema change on db1114 T146591 T197891 T196379

Change 444582 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/444582

Change 444582 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/444582

Mentioned in SAL (#wikimedia-operations) [2018-07-09T13:25:58Z] <marostegui> Deploy schema change on db1080 T146591 T197891 T196379

Mentioned in SAL (#wikimedia-operations) [2018-07-09T13:32:03Z] <marostegui> Deploy schema change on s4 codfw master (db2051) this will generate lag on s4 codfw T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Mon, Jul 9, 1:36 PM
Marostegui added a comment.EditedMon, Jul 9, 1:55 PM

s4 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • db1125
  • dbstore1002
  • db1081
  • db1084
  • db1091
  • db1097
  • db1103
  • db1121
  • db1068
Marostegui updated the task description. (Show Details)Mon, Jul 9, 1:56 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-10T04:28:57Z] <marostegui> Deploy schema change on s1 primary master (db1052) T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Tue, Jul 10, 4:37 AM

Change 444781 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1084

https://gerrit.wikimedia.org/r/444781

Change 444781 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1084

https://gerrit.wikimedia.org/r/444781

Mentioned in SAL (#wikimedia-operations) [2018-07-10T04:48:45Z] <marostegui> Deploy schema change on db1084 T146591 T197891 T196379

Change 444784 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097:3314

https://gerrit.wikimedia.org/r/444784

Change 444784 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097:3314

https://gerrit.wikimedia.org/r/444784

Mentioned in SAL (#wikimedia-operations) [2018-07-10T05:03:59Z] <marostegui> Deploy schema change on db1097:3314 T146591 T197891 T196379

Change 444787 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1103:3314

https://gerrit.wikimedia.org/r/444787

Change 444787 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1103:3314

https://gerrit.wikimedia.org/r/444787

Mentioned in SAL (#wikimedia-operations) [2018-07-10T05:16:41Z] <marostegui> Deploy schema change on db1103:3314 T146591 T197891 T196379

Mentioned in SAL (#wikimedia-operations) [2018-07-10T05:21:08Z] <marostegui> Deploy schema change on db1121 with replication, this will generate lag on s4 labs hosts T146591 T197891 T196379

Change 444790 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1081

https://gerrit.wikimedia.org/r/444790

Change 444790 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1081

https://gerrit.wikimedia.org/r/444790

Mentioned in SAL (#wikimedia-operations) [2018-07-10T05:27:25Z] <marostegui> Deploy schema change on db1081 T146591 T197891 T196379

Change 444792 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/444792

Change 444792 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/444792

Mentioned in SAL (#wikimedia-operations) [2018-07-10T05:36:43Z] <marostegui> Deploy schema change on db1091 T146591 T197891 T196379

Mentioned in SAL (#wikimedia-operations) [2018-07-10T05:39:59Z] <marostegui> Deploy schema change on s4 primary master (db1068) T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Tue, Jul 10, 6:01 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-10T06:02:16Z] <marostegui> Deploy schema change on codfw s8 master (db2045) with replication, this will generate lag on s8 codfw T146591 T197891 T196379

Marostegui updated the task description. (Show Details)EditedTue, Jul 10, 6:04 AM

s8 eqiad progress

  • dbstore1002
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • db1109
  • db1104
  • db1124
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071

Mentioned in SAL (#wikimedia-operations) [2018-07-10T06:06:35Z] <marostegui> Deploy schema change on dbstore1002:s8 T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Tue, Jul 10, 6:07 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-10T06:17:43Z] <marostegui> Deploy schema change on s8 primary master (db1071) T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Tue, Jul 10, 6:18 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-10T06:23:50Z] <marostegui> Deploy schema change on codfw s7 master (db2040) with replication, this will generate lag on s7 codfw T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Tue, Jul 10, 6:28 AM
Marostegui added a comment.EditedTue, Jul 10, 7:20 AM

s7 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
  • db1062
Marostegui updated the task description. (Show Details)Tue, Jul 10, 7:20 AM

Change 445067 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/445067

Change 445067 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/445067

Mentioned in SAL (#wikimedia-operations) [2018-07-11T05:05:34Z] <marostegui> Deploy schema change on db1094 T146591 T197891 T196379

Mentioned in SAL (#wikimedia-operations) [2018-07-11T05:20:36Z] <marostegui> Deploy schema change on db1090 T146591 T197891 T196379

Change 445069 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/445069

Change 445069 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/445069

Mentioned in SAL (#wikimedia-operations) [2018-07-11T05:31:13Z] <marostegui> Deploy schema change on db1079 with replication, this will generate lag on s7 labs hosts T146591 T197891 T196379

Change 445075 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/445075

Change 445075 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/445075

Mentioned in SAL (#wikimedia-operations) [2018-07-11T06:12:09Z] <marostegui> Deploy schema change on db1086 T146591 T197891 T196379

Mentioned in SAL (#wikimedia-operations) [2018-07-11T06:26:25Z] <marostegui> Deploy schema change on db1062 (s7 primary master) T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Wed, Jul 11, 6:31 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-11T06:40:55Z] <marostegui> Deploy schema change on s3 codfw master (db2043) with replication, this will generate lag on s3 codfw T146591 T197891 T196379

Marostegui updated the task description. (Show Details)EditedWed, Jul 11, 7:13 AM

s3 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • dbstore1002
  • db1124
  • db1077
  • db1078
  • db1123
  • db1075

Mentioned in SAL (#wikimedia-operations) [2018-07-11T07:15:40Z] <marostegui> Deploy schema change on dbstore1002:s3 T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Wed, Jul 11, 7:18 AM

Change 445083 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/445083

Change 445083 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/445083

Mentioned in SAL (#wikimedia-operations) [2018-07-11T07:50:14Z] <marostegui> Deploy schema change on db1078 T146591 T197891 T196379

Change 445092 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/445092

Change 445092 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/445092

Mentioned in SAL (#wikimedia-operations) [2018-07-11T08:13:55Z] <marostegui> Deploy schema change on db1077 with replication, this will generate lag on s3 labs hosts T146591 T197891 T196379

Change 445337 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/445337

Change 445337 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/445337

Mentioned in SAL (#wikimedia-operations) [2018-07-12T04:48:01Z] <marostegui> Deploy schema change on db1123 T146591 T197891 T196379

Mentioned in SAL (#wikimedia-operations) [2018-07-12T05:00:04Z] <marostegui> Deploy schema change on db1075 (s3 primary master)/script unload irssinotifier T146591 T197891 T196379

Marostegui updated the task description. (Show Details)Thu, Jul 12, 5:04 AM
Marostegui closed this task as Resolved.

All done